#!/bin/sh

function testquanta {
# Checks the existence of the quanta data dir
# and let you enter an alternative location.
# Important if you use $KDEDIRS for multiple KDE dirs.

if [ ! -d "$quantaFolder" ]; then
echo "Could not locate your Quanta data folder."
echo "Please enter (again) your Quanta data folder,"
echo "or press Ctrl + C to exit."
echo "e.g. /usr/share/apps/quanta"
read quantaFolder
testquanta

fi
}

# Initial try to find the correct locations
kdeHomeQuantaFolder=$(kde-config --localprefix)"/share/apps/quanta"
quantaFolder=$(kde-config --expandvars --install data)"/quanta"

# Second try.
if [ ! -d "$quantaFolder" ]; then
quantaFolder=$HOME"/kde-unstable/share/apps/quanta"
fi

# I never saw multiple $KDEHOME, so stop.
if [ ! -d "$kdeHomeQuantaFolder" ]; then
echo "Could not locate your local quanta data!"
echo "Start Quanta at least once before running this script."
exit
fi

# If everything fails, let the user enter the 
# location of the Quanta installation.
testquanta

# debug
#echo "Your KDE home folder is "$kdehomefolder
#echo "Your Quanta data folder is "$kdeHomeQuantaFolder

#Definitions
quantaLocalToolbar=$kdeHomeQuantaFolder"/toolbar"
quantaLocalToolbars=$kdeHomeQuantaFolder"/toolbars"
quantaLocalKdeDocbook=$kdeHomeQuantaFolder"/toolbars/kde-docbook"
quantaLocalDoc=$kdeHomeQuantaFolder"/doc"
quantaLocalScripts=$kdeHomeQuantaFolder"/scripts"

#Folder checks
if [ ! -d "$quantaLocalToolbar" ]; then
mkdir $quantaLocalToolbar
fi

if [ ! -d "$quantaLocalToolbars" ]; then
mkdir $quantaLocalToolbars
fi

if [ ! -d "$quantaLocalKdeDocbook" ]; then
mkdir $quantaLocalKdeDocbook
fi

if [ ! -d "$quantaLocalDoc" ]; then
mkdir $quantaLocalDoc
fi

if [ ! -d "$quantaLocalScripts" ]; then
mkdir $quantaLocalScripts
fi

if [ ! -d "$kdeHomeQuantaFolder/dtep" ]; then
mkdir $kdeHomeQuantaFolder"/dtep"
fi

if [ ! -d "$kdeHomeQuantaFolder/dtep/kde-docbook-4.2" ]; then
mkdir $kdeHomeQuantaFolder"/dtep/kde-docbook-4.2"
fi

if [ ! -d "$kdeHomeQuantaFolder/dtep/kde-docbook-4.1.2" ]; then
mkdir $kdeHomeQuantaFolder"/dtep/kde-docbook-4.1.2"
fi

# Installation
cp -v *.png $quantaLocalToolbar
cp -v *.toolbar.tgz $quantaLocalKdeDocbook
cp -v kde-docbook.docrc $quantaLocalDoc
cp -vr kde-docbook $quantaLocalDoc
cp -v *.kmdr $quantaLocalScripts

cat $quantaFolder"/dtep/kde-docbook-4.2/description.rc" | sed -e 's/^Names = kdexmltools$/Names = kdexmltools, kde-docbook-standard, kde-docbook-list, kde-docbook-admonitions, kde-docbook-images, kde-docbook-tables, kde-docbook-uielements/' > $kdeHomeQuantaFolder"/dtep/kde-docbook-4.2/description.rc"

cat $quantaFolder"/dtep/kde-docbook-4.1.2/description.rc" | sed -e 's/^Names = kdexmltools$/Names = kdexmltools, kde-docbook-standard, kde-docbook-list, kde-docbook-admonitions, kde-docbook-images, kde-docbook-tables, kde-docbook-uielements/' > $kdeHomeQuantaFolder"/dtep/kde-docbook-4.1.2/description.rc"
